jueves, 26 de noviembre de 2015

MACRO MANAGER | Piso por medio de Líneas de Modelo

Realmente llevo poco tiempo toqueteando la API de Revit, pero no llevo tan poco tiempo en el aprendizaje de lenguajes de programación. Así que les dejo esta sencilla macro escrita en Python, la cual crea pisos en base a líneas de modelo:

def FloorByModelLines(self):
        uidoc = self.ActiveUIDocument
        doc = uidoc.Document   
  
        collector = FilteredElementCollector(doc)
        lines = collector.OfCategory(BuiltInCategory.OST_Lines).ToElements()         
  
        curArray = CurveArray()  
        for line in lines:
            if line.Name == 'Model Lines':
                curArray.Append(line.GeometryCurve)

        t = Transaction(doc, "Crea un piso por medio de líneas de modelo.")
        t.Start()
  
        floor = doc.Create.NewFloor(curArray, False)
                  
        t.Commit()


Cualquier duda o comentario es bienvenido.

Saludos.